IRPCSharedLinks.GetExternalLinks
Vault API / standard write session or assertion returns metadata structure version
Lists the external links of an object.
| Service | Shared links MFiles.IRPCSharedLinks |
|---|---|
| gRPC method | /MFiles.IRPCSharedLinks/GetExternalLinks |
| HTTP (mf-http-grpc) | POST /grpc/v1/get-external-links |
| Request | GetExternalLinksRequest |
| Response | GetExternalLinksResponse |
| Book and level | Vault API, standard |
| Kind | write |
| Session | Required: a session (mfiles-session-id-bin metadata) or a session assertion (x-mf-session-assertion metadata). |
| Idempotent | no |
| Returns metadata structure version | yes (in the mfiles-metadata-version-bin trailer) |
| Streaming | none (unary) |
Remarks
- Users with the vault right
see_all_objects, and users with access to the latest version of the object, get all external links of the object; other users get the links they created.
Request: GetExternalLinksRequest
Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.
| Field | Type | Description |
|---|---|---|
obj_id | ObjID | The object. |
obj_id.type | int32 | The object type ID, for example 0 for documents. In a lookup value, the value list ID (for a lookup to objects, the object type ID). |
obj_id.item_id | ItemID | The ID of the object within its type, in item_id.internal_id. |
obj_id.item_id.internal_id | int32 | The ID of the object or value list item. |
obj_id.item_id.external_repository_id | ExternalRepositoryID | Used only for objects in external repositories (external connectors). Leave it unset for objects stored in the vault. |
Response: GetExternalLinksResponse
Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.
| Field | Type | Description |
|---|---|---|
external_shared_links[] | repeated SharedLinkInfo | The external links, including their access keys. |
external_shared_links[].access_key | string | The access key of the shared link. |
external_shared_links[].description | string | The description of the shared link. |
external_shared_links[].created_at_utc | google.protobuf.Timestamp | The creation time for the shared link. Is set by the server. Should be FILETIME_ZERO, when creating a new link. |
external_shared_links[].expires_at_utc | google.protobuf.Timestamp | The expiration time for the shared link. Use FILETIME_ZERO to indicate no expiration time. |
external_shared_links[].obj_ver | ObjVer | The object version referenced by the shared link. |
external_shared_links[].obj_ver.obj_id | ObjID | The object. |
external_shared_links[].obj_ver.version | ObjVerVersion | The version. Usually OBJ_VER_VERSION_TYPE_SPECIFIC with internal_version. |
external_shared_links[].created_by_user | int32 | The creator of this shared Link. |
external_shared_links[].file_ver | FileVer | The file version referenced by the shared link. |
external_shared_links[].file_ver.file_id | FileID | The file. |
external_shared_links[].file_ver.type | FileVerType | FILE_VER_TYPE_SPECIFIC for a file version number.Values: FILE_VER_TYPE_UNINITIALIZED (0), FILE_VER_TYPE_LATEST (1), FILE_VER_TYPE_ANY (2), FILE_VER_TYPE_SPECIFIC (3). |
external_shared_links[].file_ver.internal_version | int32 | The file version number. |
external_shared_links[].file_ver.external_repository_version | string | Used only for files in external repositories. Leave empty. |
external_shared_links[].file_ver.external_repository_sort_key | int64 | Used only for files in external repositories. Leave 0. |
external_shared_links[].shared_link_type | SharedLinkType | Type of the shared link.Values: SHARED_LINK_TYPE_READ_ONLY (0), SHARED_LINK_TYPE_CO_AUTHORING (1), SHARED_LINK_TYPE_WOPIREADONLY (2), SHARED_LINK_TYPE_WOPIEDIT (3), SHARED_LINK_TYPE_VISITOR (4), SHARED_LINK_TYPE_EXTERNAL (5). |
external_shared_links[].is_anyone_access_granted | bool | True if any user has granted public access to the document. |
external_shared_links[].anyone_access_granted_by_user | int32 | The user who has granted public access to the document. |
external_shared_links[].external_shared_link_access_type | ExternalSharedLinkAccessType | Access type of the external shared link.Values: EXTERNAL_SHARED_LINK_ACCESS_TYPE_UNINITIALIZED (0), EXTERNAL_SHARED_LINK_ACCESS_TYPE_DOWNLOAD (1), EXTERNAL_SHARED_LINK_ACCESS_TYPE_PREVIEW (2), EXTERNAL_SHARED_LINK_ACCESS_TYPE_EDIT (3). |
external_shared_links[].created_by_user_name | string | The user who created the shared link. |
external_shared_links[].anyone_access_granted_by_user_name | string | The user who granted public access. |
legacy_shared_link_exist | bool | True if the latest version of the object also has read-only or visitor links. |